System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

Apache 2.2.15.x not Running on HPUX 11.31

feliper
Occasional Visitor

Apache 2.2.15.x not Running on HPUX 11.31

Hi Guys,

 

I've working in a project where I need to upgrade the old apaches I installed the depot file from software.hp.com (hpux webserver suite 4.02)

 

I finished the configuration of the file and tried to start the instance it starts for a few seconds and then it shut downs itself

 

This is what I normally see in the log files:

 

[Sat Dec 13 00:18:37 2014] [notice] Apache/2.2.15 HP-UX_Apache-based_Web_Server (Unix) DAV/2 mod_ssl/2.2.15 OpenSSL/0.9.8zb configured -- resuming normal operations
[Sat Dec 13 00:18:37 2014] [info] Server built: Jul 11 2014 12:41:45
[Sat Dec 13 00:18:37 2014] [debug] worker.c(1875): AcceptMutex: sysvsem (default: sysvsem)
[Sat Dec 13 00:18:37 2014] [error] (14)Bad address: apr_socket_accept: (client socket)
[Sat Dec 13 00:18:38 2014] [error] (14)Bad address: apr_socket_accept: (client socket)
[Sat Dec 13 00:18:38 2014] [debug] worker.c(1434): taking over scoreboard slot from 23152 (quiescing)
[Sat Dec 13 00:18:39 2014] [alert] No active workers found... Apache is exiting!

 

Do you know have any idea what could couse this behaviour? I'm using the default www user  and the default IP, I even used the loopback and I still got the message.

 

 

2 REPLIES

Re: Apache 2.2.15.x not Running on HPUX 11.31

So you have another apache server running, wich version? What port is it listening on?
Have you tried to shut down the old apache (you say it is running).

 

There was a bug in apache server (2.2.6 I think) related to your error message.

feliper
Occasional Visitor

Re: Apache 2.2.15.x not Running on HPUX 11.31

Hi, yes the other apache is always down when i try to start the new one. I tried to start the new one on port 80 and 8080 always the same issue.

The version that i picked up from hp software was 2.2.15.20 its the hp webserver suite 4.02. So not sure of that bug is related or it sinply cant run